Name:           twitux
Version:        0.60
Release:        2%{?dist}
Summary:        Twitux is a Twitter client for the Gnome desktop

Group:          Applications/Internet
License:        GPLv2+
URL:            http://live.gnome.org/DanielMorales/Twitux
Source0:        http://suruware.com/twitux/twitux-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl-XML-Parser, libsexy-devel, aspell-devel, iso-codes-devel
BuildRequires:  openssl-devel, GConf2-devel, libsoup-devel, libnotify-devel
BuildRequires:  gettext, desktop-file-utils, libglade2-devel, libgnomeui-devel
Requires(pre):  GConf2
Requires(post): GConf2, desktop-file-utils
Requires(preun):GConf2
Requires(postun): desktop-file-utils


%description
Twitux is a Twitter client for the Gnome desktop.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --delete-original                                     \
  --vendor fedora                                       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang Twitux


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/twitux.schemas >/dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/twitux.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/twitux.schemas > /dev/null || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f Twitux.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_sysconfdir}/gconf/schemas/twitux.schemas
%{_bindir}/*
%{_datadir}/twitux
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/twitux.*


%changelog
* Sun Jan 13 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.60-2
- Clean up BRs
- Don't run update-desktop-database in scripts

* Sun Jan 13 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.60-1
- Upstream 0.60.
- New buildrequires: gnome-vfs2-devel libgnomeui-devel, libglade2-devel
- Handle gconf bits
- Update icon db, since we now install bits in hicolor

* Wed Sep 26 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.50-1
- Initial packaging.
